Package org.eclipse.e4.ui.model.application.ui

# Interface MUiFactory

All Known Implementing Classes:
  `UiFactoryImpl`

public interface MUiFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MUiFactory`
`INSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`MCoreExpression`
`createCoreExpression()`
Returns a new object of class 'Core Expression'.
`MImperativeExpression`
`createImperativeExpression()`
Returns a new object of class 'Imperative Expression'.

## Field Details

### INSTANCE

static final MUiFactory INSTANCE
The singleton instance of the factory.

## Method Details

### createCoreExpression

MCoreExpression createCoreExpression()
Returns a new object of class 'Core Expression'.

Returns:
  a new object of class 'Core Expression'.
Since:
  1.0

### createImperativeExpression

MImperativeExpression createImperativeExpression()
Returns a new object of class 'Imperative Expression'.

Returns:
  a new object of class 'Imperative Expression'.